<script lang="ts">
	export let index: number;
	export let product: any;
</script>

<button
	class={`relative w-fit h-auto rounded-xl shrink-0 group cursor-default ${
		index % 2 ? 'bg-noir-500' : 'bg-noir-600'
	}`}
	style="max-width: 80%;"
>
	<img src={product.imgUrl} class="object-contain w-fit h-full rounded-xl" alt={product.name} />
	<div
		class="absolute group-focus:-bottom-full group-hover:-bottom-full transition-all duration-500 left-0 bottom-0 w-full rounded-b-xl text-center bg-black bg-opacity-60"
	>
		<div class="relative p-2">
			<div
				class={`absolute z-20 bottom-full left-[calc(50%-0.75rem)] flex items-end justify-center bg-primary-500 rounded-t-full w-6 h-6 text-black border border-black`}
			>
				<iconify-icon class="text-black-500" icon="mdi:arrow-down" />
			</div>
			<span class="rounded-b-xl w-full text-white">
				{product.name}
			</span>
		</div>
	</div>
</button>
